1.6.6 -> 1.6.7
=================
* bug Fixes
  * Fix compiler warnings
  * Fix possible memory leaks

1.6.5 -> 1.6.6
=================
* Bug Fix
  * Fix a typo to check the keyboard plugin dconf value for Cinnamon

1.6.4 -> 1.6.5
=================
* Bug Fix
  * Support the latest Cinnamon.

1.6.3 -> 1.6.4
=================
* Bug Fixes:
  * Fix the deprecated warnings on GLib
  * Fix the configure error with -Wstrict-prototypes
  * Fix the wrong gtk supporte detection with mate-gsettings module.

1.6.2 -> 1.6.3
=================
* Bug Fix:
  * Include man pages into the archive.

1.6.1 -> 1.6.2
=================
* Bug Fixes:
  * Fix the desktop detection for gnome-classic
  * Shut down imsettings-daemon if current desktop isn't targeted
  * Fix the bootstrap issue with recent automake
* Enhancement:
  * Add man pages

1.6.0 -> 1.6.1
=================
* Bug Fixes:
  * check the exit status for imsettings-target-checker.sh
  * Fix gtk+ support detection for gnome-classic session
  * obsolete NOT_RUN and lookup gsettings key for GNOME to determine
    if imsettings should manage input methods.

1.5.1 -> 1.6.0
=================
* Bug Fixes:
  * imsettings-xim: Fix a crash issue at finalizing.
  * Fix erroneous code.
  * Fix deprecated warnings from GLib.
* Enhancement:
  * Add Cinnamon desktop support

1.5.0 -> 1.5.1
=================
* Bug Fixes:
  * Fix broken pkgconfig files.
  * Fix the build issue when srcdir != builddir.
  * Revert the previos change that run imsettings-switch on GNOME3 only when
    the session is gnome-fallback.
* Support libgxim 0.4.0

1.4.0 -> 1.5.0
=================
* Enhancement:
  * Add a MATE (>= 1.5) desktop support
* Improvement:
  * better fallback immodule support detection
* Bug Fixes:
  * move imsettings-check into libexecdir.
  * run imsettings-switch on GNOME3, only when the session is gnome-fallback
* Translation updates

1.3.1 -> 1.4.0
=================
* Enhancements:
  * Add a MATE desktop support
  * Update documents
* Translation updates

1.3.0 -> 1.3.1
=================
* Enhancement:
  * support GNOME3 in NOT_RUN variable.
* Translations updates

1.2.9 -> 1.3.0
=================
* Bug Fixes:
  * Issue#30: follow XDG base directory standard for log file
  * Change $HOME/.xinputrc to $XDG_CONFIG_HOME/imsettings/xinputrc
* Enhancement:
  * Support NOT_RUN variable in xinput file.

1.2.8.1 -> 1.2.9
===================
* Bug Fix:
  * xfce: fallback to the default configuration file on XDG dirs if any.
* Translation update

1.2.8 -> 1.2.8.1
====================
* Translations updates

1.2.7.1 -> 1.2.8
===================
* Bug Fixes:
  - Fix fails on distcheck.
  - Fix possibly accessing a corrupted memory.
* Improvement:
  - output more information to .imsettings.log for debugging.

1.2.7 -> 1.2.7.1
===================
* Bug Fixes:
  - Fix DSO link issue.
  - Fix a build fail.

1.2.6 -> 1.2.7
===================
* Bug Fixes:
  * gconf backend: fix build issue
  * library: memory leaks
* Enhancements:
  * Support multiple immodule specifier (gtk+ >= 3.3.3)
  * Add GObject-introspection support

1.2.5 -> 1.2.6
===================
* Bug Fix:
  * Do not unown the bus name on the shutdown.
* Enhancement:
  * Improve the desktop detection.

1.2.4 -> 1.2.5
===================
* Bug Fix:
  * Fix taking CPU load issue again.
* Translation updates.

1.2.3 -> 1.2.4
===================
* Bug Fixes:
  * Restart IM properly on reload.
  * Stop the daemon properly with SIGTERM.
  * Fix taking CPU load issue (rhbz#718092)

1.2.2 -> 1.2.3
===================
* Bug Fixes:
  * Fix a typo in the code to detect the gtk+ support.
  * Set some environment variables explicitly when bringing
    IM processes up. (rhbz#700513)
  * Fix the LXDE backend module to reload the configuration
    in LXDE properly on the latest desktop.
  * Fix a crash issue on killing the processes.
  * Fix a race condition issue on switching IM.
  * Fix an abort issue in logger. (rhbz#701431)
* Improvement:
  * Revamp Qt backend module.

1.2.1 -> 1.2.2
==================
* Bug Fixes:
  * Fix an issue keeping alive the defunct process.
  * Stop a notification when no backend modules available. (rhbz#693809)
* Improvements:
  * Better handling of detecting the supported toolkits.
  * show a warning on startup time if no backend modules
    is loaded in the daemon.
* Feature:
  * Add an option to check requirements of imsettings running separately.
* Translation Update:
  * Danish

1.2.0 -> 1.2.1
==================
* Bug Fixes:
  * stop imsettings-xim process when the module is unloaded.
  * invoke the proper IM at the startup when XDG autostart is enabled.
  * get rid of the unnecessary warnings on the command-line options.
  * fix a typo in xinput.sh.
* Translation Updates

1.1.0 -> 1.2.0
==================
* Feature:
  * small utility to self-check the working environment.
* Improvements:
  * Pop up the notice via libnotify if no modules are loaded.
  * Add imsettings documents generated by gtk-doc.
* Bug Fixes:
  * Get rid of the unnecessary warning during reading the config.
  * Give proper permissions to the scripts.
  * Call method to stop the service instead of the signal if it's supported.
  * Fix typos
  * Do not update .xinputrc if requested.
  * Improve a performance of imsettings-daemon. (rhbz#676813)

1.0.1 -> 1.1.0
==================
* Feature:
  * GNOME3 support.
* Improvements:
  * code clean up for compiler warnings.

1.0.0 -> 1.0.1
==================
* Docs updated.
* Enhancement:
  * Gentoo support (MATSUU Takuto)
* Bug Fixes:
  * Fix the handling of "User Specific".
  * Improve the response time.
  * Fix not-found issue on xim.conf when the upper/lower-case
    is randomly mixed up on the locale name.
  * Fix not enabling IM on Xfce 4.8.

0.108.1 -> 1.0.0
===================
* Simplify the process structures.
* Revise a lot of code.
* Modularize the backends.
* GDBus transition.
* Bump API version.
* Bug Fix:
  * rhbz#526205: Unable to find XIM with the certain locale

0.108.0 -> 0.108.1
=====================
* Bug Fixes:
  * rhbz#573604: Don't restart the IM process when the exit status is 0.
  * rhbz#582448: Fix failing to bring the process up.
  * rhbz#599924: Fix segfault caused by the race condition on popen.
  * rhbz#603582: Fix a segfault in imsettings-lxde-helper
* Translation updated:
  * Kannada
  * Korean
  * Russian
  * Traditional Chinese

0.107.4 -> 0.108.0
=====================
* Features:
  * Add LXDE support.
* Bug Fixes:
  * rhbz#540062: Fix a segfault issue on XFCE desktop.
  * rhbz#530357: workaround to avoid aborting from dbus in libnotify.
  * Fix a memory leak.
  * Don't unset IMSETTINGS_INTEGRATE_DESKTOP that could be overridden from the outside of xinput.sh.
  * rhbz#543005: Fix a abort issue on GConf backend.
  * rhbz#553680: Fix a segfault issue when /bin/sh points to non-bash shell.
  * rhbz#570462: Fix another abort issue after DBus session closed.
* Translation updated:
  * Brazilian Portuguese
  * German
  * Polish
  * Simplified Chinese
  * Spanish

0.107.3 -> 0.107.4
=====================
* Bug Fixes:
  * rhbz#520976: Fix aborting after DBus session closed.
  * rhbz#522689: Fix keeping IM process running as the defunct process.
  * rhbz#523349: Update the IM information as needed if the configuration is written in the script.
* Translation updated:
  * Catalan
  * Gujarati
  * Hindi
  * Japanese
  * Kannada
  * Korean
  * Malayalam
  * Marathi
  * Oriya
  * Polish
  * Simplified Chinese
  * Tamil
  * Traditional Chinese

0.107.2 -> 0.107.3
=====================
* Bug Fixes:
  * Fix taking CPU load after switching IM.
  * Fix the daemon becomes no responses with starting some IM.

0.107.1 -> 0.107.2
=====================
* Bug Fixes:
  * Apply the environment variables properly.
  * rhbz#518970: Stop Input Method process after the desktop session.
* Translation updated:
  * Brazilian Portuguese
  * Japanese

0.107.0 -> 0.107.1
=====================
* Bug Fixes:
  * Fix more memory leaks.

0.106.2 -> 0.107.0
=====================
* Bug Fixes:
  * Fix memory leaks
  * rhbz#497946: Pop up an error with libnotify.
  * rhbz#514852: Fix the is_system_default duplication.
* Features:
  * rhbz#510666: Support immodule only configuration file.
  * improve the process management without a pid file.
  * log the output from IM to $HOME/.imsettings.log

0.106.1 -> 0.106.2
=====================
* Bug Fixes:
  * rhbz#483840: Dead key not working.
  * rhbz#484142: Get rid of NoSymbol warnings.
  * rhbz#488976: Get stuck on key events.
  * rhbz#488877: Have a workaround to avoid a freeze issue on applications
    not supporting reconnecting IC.
  * rhbz#488899: Segfault with reconnecting
  * rhbz#490587: .xinputrc isn't created with disabling IM
  * rhbz#493406: IM is running for all locales

0.106.0 -> 0.106.1
=====================
* Bug Fixes:
  * Fix not running of imsettings-xfce-helper.
  * rhbz#488675: Workaround to not filtered out the key events with accelerator
    keys on some X apps.
  * rhbz#489119: Stop debugging messages.
  * rhbz#485595: Fix a double-free.
* Features:
  * More integrate destkop.

0.105.1 -> 0.106.0
=====================
* Bug Fixes:
  * Do not discard the XIM_REGISTER_TRIGGERKEYS event even when imid is 0.
  * Issue#22: imsettings-applet freezes with opening preference dialog.
  * rhbz#484142: imsettings-applet warnings on Emacs startup in Gnome.
* Improvements:
  * set xim to QT_IM_MODULE explicitly for none.
  * imsettings-{start,stop,restart} to work without IM name explicitly.
  * Integrate im-info-daemon to im-settings-daemon.
  * rhbz#471833: Allow .conf name and lowercase for imsettings-*.
* Regressions:
  * Get rid of incomplete XSETTINGS support.
* Features:
  * rhbz#478669: Add Xfconf support.

0.105.0 -> 0.105.1
=====================
* Bug Fixes:
  * XIM backend:
    * Fix a freeze issue when reset the number of the forward event still waiting for with the focus change.
  * Allow none to start IM.

0.104.1 -> 0.105.0
=====================
* Bug Fixes:
  * XIM backend:
    * Fix a memory leak.
    * rhbz#452849: Workaround for race condition issue.
    * Fix a freeze issue on Desktops not supporting XSETTINGS.
* Translation updated:
  * Polish

0.104.0 -> 0.104.1
=====================
* Bug Fixes:
  * rhbz#462899: When disconnecting, inputing on xterm -> imsettings-applets Segmentation fault
  * Ship imsettings-applet.schemas.
  * Fix a timeout issue on DBus when no info object is available.
  * Fix the unnecessary notification about acceleration key.

0.103.0 -> 0.104.0
=====================
* Bug Fixes:
  * rhbz#457901: accent deadkeys not working under XIM
  * rhbz#460695: malformed desktop file
  * rhbz#460703: multiple status icons for Input Method displayed
  * Issue#16: XKB support in imsettings-xim?
* Enhancements:
  * Set a default icon for IM.
  * XSETTINGS manager support in applet
  * Acceleration key support in applet

0.102.0 -> 0.103.0
=====================
* Bug Fixes:
  * Issue#6: freeze X applications when switching IM
  * Issue#14: default imsettings-info to current IM system
  * rhbz#457635: gtk will not pick up right im module in kde desktop session
  * rhbz#459443: xsettings manager detection is broken
* Enhancement
  * new imsettings-xim with libgxim deps.
* Features
  * applet launched.

0.101.3 -> 0.102.0
=====================
* Bug Fixes
  * Issue#4: No changes of the recommendation after changing by alternatives.
  * rhbz#455363: No recommendation appears after updating the conf file.
  * Fix a typo in imsettings-stop.
* Enhancement
  * simple XSETTINGS manager for the desktop that doesn't have own XSETTINGS manager.

0.101.2 -> 0.101.3
=====================
* Bug Fixes
  * Fix appearing warning message that unable to get the selection owner in imsettings-xim.
  * rhbz#451753: workaround for application freezes.
  * Fix a issue IM is always running if no .xinputrc.
  * Issue#11: im-info-daemon picks up the conf file without .conf.
  * rhbz#453358: uninstalled input method is listed.

0.101.1 -> 0.101.2
=====================
* Bug Fixes
  * Fix accessing the invalid memory in imsettings-xim.
  * rhbz#451739: Fix a typo in the help message.
  * just exit if the session bug can't be got.

0.101.0 -> 0.101.1
=====================
* Bug Fixes
  * Issue#9: IM goes away till im-info-daemon restarted.
  * Issue#10: The sort order isn't correct.

0.100.0 -> 0.101.0
=====================
* Soname is bumped again due to API clean up and new APIs.
* Bug Fixes
  * Issue#7: Invalid dump for short description.
  * warning messages on monitoring files
  * RHBZ#450574: Fix a typo in imsettings-restart.
* Features
  * Add a version check API
* Improvements
  * faster responses from imsettings services

0.99.6 -> 0.100.0
====================
* Soname is bumped from 0 to 1 due to some APIs has been removed/changed.
* Bug Fixes
  * Issue#5: Segfault if .xinputrc or xinputrc points to the invalid config.
  * RHBZ#444152: Use GFileMonitor instead of FAM API directly.
* Features
  * Provide an information of icon file for IM.
* Improvements
  * export GError to deal with more complex error handling in applications.
